Name:         multipath-tools
URL:          http://christophe.varoqui.free.fr/multipath-tools/
License:      GPL
Group:        System/Kernel and hardware
Version:      0.4.8
Release:      %mkrel 2
Summary:      Tools to manage multipathed devices with the device-mapper
Source:       http://christophe.varoqui.free.fr/multipath-tools/%name-%version.tar.bz2
Source1:      multipathd.init.bz2
Patch0:	      multipath-tools-fix-build.patch
Patch20:      multipath-tools-0.4.8-fix_make_install.patch
Patch21:      multipath-tools-0.4.8-send-udev-event-for-block-only.patch
Patch1:       uevent_fix.patch
Patch8:       scsi_id_change.patch
Patch10:      fix_devt.patch
Patch12:      binding_error.patch
Patch13:      fix_kpartx.patch
Patch14:      fix_umask.patch
Patch15:      fix-kpartx-udev-rules-for-dmraid.patch
Patch16:      multipath-tools-Use-current-name-of-the-device-node.patch
Patch17:      kpartx-make-kpartx-deal-with-more-than-256-minor-numbers.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     dmsetup
Requires:     kpartx = %{version}
BuildRequires:	libdevmapper-devel
BuildRequires:  libsysfs-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  libaio-devel
Requires(preun):rpm-helper
Requires(post):	rpm-helper


%description
This package provides the tools to manage multipathed devices by
instructing the device-mapper multipath module what to do. The tools
are:

- multipath: scan the system for multipathed devices, assembles them
  and update the device-mapper's maps

- multipathd: wait for maps events, then execs multipath

- devmap-name: provides a meaningful device name to udev for devmaps

- kpartx: maps linear devmaps upon device partitions, which makes
  multipath maps partionable

%package -n kpartx
Summary: Partition device manager for device-mapper devices
Group: System/Kernel and hardware


%description -n kpartx
kpartx manages partition creation and removal for device-mapper devices.

%prep
%setup -q
%patch0 -p0

%patch1 -p1 -b .uevent_fix
%patch8 -p1 -b .scsi_id_change
%patch10 -p1 -b .fix_devt
%patch12 -p1 -b .binding_error
%patch13 -p1 -b .ext_part
%patch14 -p1 -b .umask
%patch15 -p1 -b .kpartx_udev
%patch16 -p1 -b .node_name
%patch17 -p1 -b .minor_numbers
%patch20 -p1 -b .install
%patch21 -p1 -b .udev_subsys_block

%build
# parallel build support is broken:
make BUILD="glibc"

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/etc/hotplug.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT/etc/init.d/multipathd
chmod 755 $RPM_BUILD_ROOT/etc/init.d/multipathd

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%_preun_service multipathd

%post
%_post_service multipathd


%files
%defattr(-,root,root,755)
%doc AUTHOR COPYING README* ChangeLog FAQ multipath.conf.*
%config(noreplace) /etc/init.d/multipathd
%config(noreplace) /etc/udev/rules.d/multipath.rules
/sbin/devmap_name
/sbin/mpath_prio_*
/sbin/multipath
/sbin/multipathd
%_mandir/man?/devmap_name*
%_mandir/man?/mpath_prio_*
%_mandir/man?/multipath*

%files -n kpartx
%defattr(-,root,root,-)
/sbin/kpartx
/etc/udev/rules.d/kpartx.rules
/lib/udev/kpartx_id
%{_mandir}/man8/kpartx.8*

%changelog
* Fri Apr 27 2018 adrianomorselli <adrianomorselli> 0.4.8-2uplos2018
- rebuild
